/*
 * BRLTTY - A background process providing access to the console screen (when in
 *          text mode) for a blind person using a refreshable braille display.
 *
 * Copyright (C) 1995-2015 by The BRLTTY Developers.
 *
 * BRLTTY comes with ABSOLUTELY NO WARRANTY.
 *
 * This is free software, placed under the terms of the
 * GNU Lesser General Public License, as published by the Free Software
 * Foundation; either version 2.1 of the License, or (at your option) any
 * later version. Please see the file LICENSE-LGPL for details.
 *
 * Web Page: http://brltty.com/
 *
 * This software is maintained by Dave Mielke <dave@mielke.cc>.
 */

#ifndef BRLTTY_INCLUDED_PA_BRLDEFS
#define BRLTTY_INCLUDED_PA_BRLDEFS

#define PA_USB_BUFFER_SIZE 32

#define PA_REQ_IDENTITY 0x82

char pa_lang = 0; // 0 --> en ,, 1 --> fa

typedef enum {
	
	PA_KEY_Dot2 = 0,
	PA_KEY_Dot5  ,
	PA_KEY_Down ,
	PA_KEY_Up ,
	PA_KEY_Dot1,
	PA_KEY_Dot4 ,
	PA_KEY_BackSpace ,
	PA_KEY_Space ,
    PA_KEY_Dot3 ,
	PA_KEY_Dot6  ,
    PA_KEY_LeftScroll ,
    PA_KEY_RightScroll ,
			
} PA1_NavigationKey ;

typedef enum {

	PA2_KEY_Dot2 = 0,
	PA2_KEY_Dot5  ,
	PA2_KEY_Control ,
	PA2_KEY_Right,
	PA2_KEY_Dot1,
	PA2_KEY_Dot4 ,
	PA2_KEY_Space ,
	PA2_KEY_Left ,
	PA2_KEY_Enter ,
	PA2_KEY_BackSpace ,
	PA2_KEY_Alt ,
	PA2_KEY_Up ,
	PA2_KEY_Dot3 ,
	PA2_KEY_Dot6  ,
	PA2_KEY_ScreenReader,
	PA2_KEY_Down ,
	PA2_KEY_LeftScroll ,
	PA2_KEY_Up2 ,
	PA2_KEY_RightScroll ,
	PA2_KEY_Down2,

} PA2_NavigationKey ;

typedef enum {
  PA_GRP_NavigationKey,
  PA_GRP_RoutingKey
} PA_KeyGroup;

#endif /* BRLTTY_INCLUDED_PA_BRLDEFS */ 
